<id>
din1031:ssilatestmembers
</id>

<version>
1.0.1
</version>

<edit file>
$boarddir/SSI.php
</edit file>

<search for>
	else
		return $context['common_stats']['latest_member'];
}
</search for>

<replace>
	else
		return $context['common_stats']['latest_member'];
}

/*
Show a list of the Latest Members (only activated members)
Follow $outputType exists on output_method 'echo'
'list' show only the list of members, orderd by latest first.
'date' show the membername + registerdate, orderd by latest first.
nothing of both give back membername + Posts list, orderd by latest first.
The output_method 'array' is evertime the same.
*/
function ssi_latestMembers($members = 5, $outputType = 'list', $output_method = 'echo') {
	global $db_prefix, $scripturl, $context, $smcFunc;
	
	//Fixes :)
	$members = (int) $members;
	$members = empty($members) || $members < 0 ? 5 : $members;

	//Speed it up a little :) if the user count is lower than members than use this :)
	$members = $context['common_stats']['total_members'] <= $members ? $context['common_stats']['total_members'] : $members;
	
	//Load the Latest Members
	$results = $smcFunc['db_query']('', "
		SELECT real_name, posts, id_member, date_registered
		FROM {$db_prefix}members 
		WHERE is_activated = 1
		ORDER BY date_registered DESC
		LIMIT $members");
		
	$return = array();
	$colorids = array();
	
	while($row = $smcFunc['db_fetch_assoc']($results)) {
		$return[] = array(
			'id' => $row['id_member'],
			'name' => $row['real_name'],
			'href' => $scripturl . '?action=profile;u=' . $row['id_member'],
			'link' => '<a href="' . $scripturl . '?action=profile;u=' . $row['id_member'] . '">' . $row['real_name'] . '</a>',
			'posts' => $row['posts'],
			'registered' => timeformat($row['date_registered']),
		);
		$colorids[$row['id_member']] = $row['id_member'];
	}	
	$smcFunc['db_free_result']($results);
		
	//Add colors only on installed SSI Member Color Link for latestMembers
	if(function_exists('ssi_loadColors') && !empty($colorids)) {
		global $color_profile;
		ssi_loadColors($colorids);
		foreach($return as $k => $p) {
			$profile = $color_profile[$p['id']];
			if(!empty($profile)) {
				$return[$k]['link'] = $profile['link'];
			}
		}
	}
	
	//Output?
	if($output_method != 'echo')
		return $return;
	
	//Okay some output =)
	if(empty($return))
		return;

	if($outputType == 'list') {
		foreach($return as $temp) 
			$temp_array[] = $temp['link'];
		echo '
			'.implode(', ', $temp_array);
		return;
	}

	echo '
		<table class="ssi_table">';
	foreach ($return as $temp) {
		echo '
			<tr>
				<td align="right">
					', $temp['link'], '
				</td>
				<td align="', ($outputType != 'date' ? 'right">'.$temp['posts'] : 'left">'.$temp['registered']), '</td>
			</tr>';
	}
	echo '
		</table>';	
}
</replace>

<edit file>
$boarddir/ssi_examples.php
</edit file>

<search for>
			<h3>Latest Member Function: &lt;?php ssi_latestMember(); ?&gt;</h3>
</search for>

<replace>
			<h3>Latest Members Function: &lt;?php ssi_latestMembers(); ?&gt;</h3>
			<?php ssi_latestMembers(); flush(); ?>

		<hr />

			<h3>Latest Member Function: &lt;?php ssi_latestMember(); ?&gt;</h3>
</replace>
